def ordonnancement(liste_proc):
	"""Exécute l'algorithme d'ordonnancement
	liste_proc -- liste des processus
	Renvoie la liste d'exécution des processus"""
	execution = []
	attente = scrutation(liste_proc, [])
	while attente != []:
		indice = choix_processus(attente)
		"""retrait de la liste d'attente du dernier
		élément du processus le plus court"""
		proc_elu = attente[indice][0]
		""" si ce processus est terminé alors
		retrait du processus de la liste d'attente"""
		if len(attente[indice]) == 0:
			attente.pop(indice)
		# ajoute l'élément à la liste d'exécution
		execution.append(proc_elu)
		attente = scrutation(liste_proc, attente)
	return execution